#
# spec file for package openlibm
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openlibm
Version:        0.4
Release:        8.5
%define so_ver  1
%define libname lib%{name}%{so_ver}
Summary:        High quality system independent, open source libm
License:        BSD-2-Clause and MIT
Group:          System/Libraries
Url:            https://github.com/JuliaLang/openlibm/
Source0:        https://github.com/JuliaLang/openlibm/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    ppc ppc64 ppc64le

%description
OpenLIBM is an effort to have a high quality standalone LIBM library.
It is meant to be used standalone in applications and programming language
implementations.

The OpenLIBM code derives from the FreeBSD msun implementation,
which in turn derives from FDLIBM 5.3. As a result, it has a number of
fixes and updates that have accumulated over the years in msun,
and also optimized assembly versions of many functions.

%package     -n %{libname}
Summary:        High quality system independent, open source libm
Group:          System/Libraries

%description -n %{libname}
OpenLIBM is an effort to have a high quality standalone LIBM library.
It is meant to be used standalone in applications and programming language
implementations.

The OpenLIBM code derives from the FreeBSD msun implementation,
which in turn derives from FDLIBM 5.3. As a result, it has a number of
fixes and updates that have accumulated over the years in msun,
and also optimized assembly versions of many functions.

%package        devel
Summary:        High quality system independent, open source libm
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description    devel
OpenLIBM is an effort to have a high quality standalone LIBM library.
It is meant to be used standalone in applications and programming language
implementations.

The OpenLIBM code derives from the FreeBSD msun implementation,
which in turn derives from FDLIBM 5.3. As a result, it has a number of
fixes and updates that have accumulated over the years in msun,
and also optimized assembly versions of many functions.

This package provides libraries and header files for developing applications
that use OpenLIBM.

%prep
%setup -q

%build
make %{?_smp_mflags} \
     FFLAGS="%{optflags}" \
     CFLAGS="%{optflags}" \
     ARCH=%{_arch}

%install
make install DESTDIR=%{buildroot} \
             prefix=%{_prefix} \
             libdir=%{_libdir} \
             includedir=%{_includedir}

rm %{buildroot}/%{_libdir}/libopenlibm.a

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{so_ver}*

%files devel
%defattr(-,root,root)
%doc LICENSE.md README.md
%{_includedir}/openlibm.h
%{_includedir}/openlibm/
%{_libdir}/libopenlibm.so
%{_libdir}/pkgconfig/openlibm.pc

%changelog
* Thu Aug 13 2015 normand@linux.vnet.ibm.com
- ExcludeArch: ppc ppc64 ppc64le
* Tue Aug  5 2014 dmitry_r@opensuse.org
- Update to version 0.4
  * No changelog available
- Remove obsolute openlibm-build-targets.patch
* Tue Jul 22 2014 dmitry_r@opensuse.org
- Update to version 0.3
  * No changelog available
- Add build target for i586
  * openlibm-build-targets.patch
- spec file cleanup
* Thu Mar 13 2014 dan.weatherill@cantab.net
- initial import of tagged openlibm-0.2 package from JuliaLang
  project
